Subject: Re: Patches added to powerpc.git for-2.6.24 branch

From: Timur Tabi <[email-masked]>
Date: Wed, 22 Aug 2007 09:22:12 -0500

Kumar Gala wrote:

> I think the clrsetbits macros needs some further cleanup.  I think 
> Stephen mentioned doing something like we do for DEF_MMIO_OUT_BE() to 
> only have one 'actual' macro.

Yeah I saw that one, but on IRC a few people said they don't like ##, so I 
decided against it.  Are you saying I should change it anyway?

> The immap_86xx.h will go through me since its FSL code.

I was thinking some more about that file this morning.  If you want, I can 
rename it to guts.h since it only has one structure in it, and then also 
update a few other files that use the global utilities registers to use that 
structure instead of using macros.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale